package com.bjtdba.userCenter.service;

import com.bjtdba.entity.userCenter.UserVideoLike;

import java.util.List;

/**
 * 用户点赞记录表(UserVideoLike)表服务接口
 *
 * @author makejava
 * @since 2022-11-12 14:14:10
 */
public interface UserVideoLikeService {

    /**
     * 通过ID查询单条数据
     *
     * @param lid 主键
     * @return 实例对象
     */
    UserVideoLike queryById(Integer lid);

    /**
     * 分页查询
     *
     * @param userVideoLike 筛选条件
//     * @param pageRequest      分页对象
     * @return 查询结果
     */
//    Page<UserVideoLike> queryByPage(UserVideoLike userVideoLike, PageRequest pageRequest);
    List<UserVideoLike> queryList(UserVideoLike userVideoLike);
    long count(UserVideoLike userVideoLike);

    /**
     * 新增数据
     *
     * @param userVideoLike 实例对象
     * @return 实例对象
     */
    UserVideoLike insert(UserVideoLike userVideoLike);

    /**
     * 修改数据
     *
     * @param userVideoLike 实例对象
     * @return 实例对象
     */
    UserVideoLike update(UserVideoLike userVideoLike);

    /**
     * 通过主键删除数据
     *
     * @param lid 主键
     * @return 是否成功
     */
    boolean deleteById(Integer lid);

}
